---
layout: docs
page_title: Run and Login
sidebar_title: Run and Login
description: |-
  How to run Boundary services in dev mode and login for the first time.
---

# Run and Login to Boundary

To start Boundary in dev mode:

```bash
$ boundary dev
```

## Login to Boundary

Boundary uses a predictable login name (`admin`) and password (`password`) in
dev mode. These can be overridden, or randomly generated, with flags to
`boundary dev`.

From the CLI:

```
$ boundary authenticate password \
         -login-name=admin \
         -password password \
         -auth-method-id=ampw_1234567890
```

To authenticate to the Admin UI, open
[http://127.0.0.1:9200](http://127.0.0.1:9200) in a browser and enter the login
name and password:

![](/img/login-dev-mode.png)

You can also use these overrides to configure the [Terraform provider for
Boundary](https://github.com/hashicorp/terraform-provider-boundary):

```hcl
provider "boundary" {
    base_url             = "http://127.0.0.1:9200"
    auth_method_id       = "ampw_1234567890"
    auth_method_username = "admin"
    auth_method_password = "password"
}
```

Note in the example above we're setting `base_url` to `http` and not `https` as
the Boundary server does not use TLS in development mode.
